## XviewerThumbNav XviewerThumbNav |

## Functions

GtkWidget * | xviewer_thumb_nav_new ()
gboolean | xviewer_thumb_nav_get_show_buttons ()
void | xviewer_thumb_nav_set_show_buttons ()
XviewerThumbNavMode | xviewer_thumb_nav_get_mode ()
void | xviewer_thumb_nav_set_mode ()

## Types and Values

enum | XviewerThumbNavMode
struct | XviewerThumbNav

## Description

## Functions

### xviewer_thumb_nav_new ()

    GtkWidget *
    xviewer_thumb_nav_new (GtkWidget *thumbview,
                           XviewerThumbNavMode mode,
                           gboolean show_buttons);

Creates a new thumbnail navigation widget.

#### Parameters

thumbview | an XviewerThumbView to embed in the navigation widget. |
mode | The navigation mode. |
show_buttons | Whether to show the navigation buttons. |

#### Returns

a new XviewerThumbNav object.

### xviewer_thumb_nav_get_show_buttons ()

    gboolean
    xviewer_thumb_nav_get_show_buttons (XviewerThumbNav *nav);

Gets whether the navigation buttons are visible.

#### Parameters

nav | an XviewerThumbNav. |

#### Returns

`TRUE` if the navigation buttons are visible, `FALSE` otherwise.

### xviewer_thumb_nav_set_show_buttons ()

    void
    xviewer_thumb_nav_set_show_buttons (XviewerThumbNav *nav,
                                        gboolean show_buttons);

Sets whether the navigation buttons to the left and right of the widget should be visible.

#### Parameters

nav | an XviewerThumbNav. |
show_buttons | `TRUE` to show the buttons, `FALSE` to hide them. |

### xviewer_thumb_nav_get_mode ()

    XviewerThumbNavMode
    xviewer_thumb_nav_get_mode (XviewerThumbNav *nav);

Gets the navigation mode in `nav` .

#### Parameters

nav | an XviewerThumbNav. |

#### Returns

A value in XviewerThumbNavMode.

### xviewer_thumb_nav_set_mode ()

    void
    xviewer_thumb_nav_set_mode (XviewerThumbNav *nav,
                                XviewerThumbNavMode mode);

Sets the navigation mode in `nav` . See XviewerThumbNavMode for details.

#### Parameters

nav | An XviewerThumbNav. |
mode | One of XviewerThumbNavMode. |

## Types and Values

### enum XviewerThumbNavMode

#### Members

XVIEWER_THUMB_NAV_MODE_ONE_ROW |  |
XVIEWER_THUMB_NAV_MODE_ONE_COLUMN |  |
XVIEWER_THUMB_NAV_MODE_MULTIPLE_ROWS |  |
XVIEWER_THUMB_NAV_MODE_MULTIPLE_COLUMNS |  |

### struct XviewerThumbNav

    struct XviewerThumbNav {
    	GtkBox base_instance;

    	XviewerThumbNavPrivate *priv;
    };